tell application "Mail"
	set _name to "BusyMac"
	set _email to "support@busymac.com"
	set _subject to "%@"
	set _attachment to POSIX path of "%@"
	set _summary to my summarizeFile(POSIX path of "%@")
	set _body to return & return & "==========" & return & "Please provide information above about the problem you encountered. We will examine your log files to troubleshoot the problem and respond promptly. Thank you for your support." & return & "==========" & return & _summary & return & return
	set _message to make new outgoing message
	tell _message
		set visible to true
		make new to recipient at beginning of to recipients with properties {address:_email, name:_name}
		set the subject to _subject
		set the content to _body
		tell content
			make new attachment with properties {file name:_attachment} at after the last paragraph
		end tell
	end tell
	activate
end tell

on summarizeFile(unixPath)
	return (do shell script "head -n 50 '" & unixPath & "'") & return & "......" & return & (do shell script "tail -n 50 '" & unixPath & "'")
end summarizeFile
